Subject: bug#26695: openssh password-authentication? should be #f by default

From: Christopher Allan Webber <[email-masked]>
Date: Fri, 28 Apr 2017 09:37:13 -0500

Our default permits password authentication for the openssh service (and
the others it seems) by default in Guix.  This is somewhat dangerous
because this is a much easier to break in this way, and some users might
not assume the default is reasonably safe.  If users really want
password-authentication, they should turn it on explicitly.